{#
/**
 * @file
 * Theme override to display a single page.
 *
 * The doctype, html, head and body tags are not in this template. Instead they
 * can be found in the html.html.twig template in this directory.
 *
 * Available variables:
 *
 * General utility variables:
 * - base_path: The base URL path of the Drupal installation. Will usually be
 *   "/" unless you have installed Drupal in a sub-directory.
 * - is_front: A flag indicating if the current page is the front page.
 * - logged_in: A flag indicating if the user is registered and signed in.
 * - is_admin: A flag indicating if the user has permission to access
 *   administration pages.
 *
 * Site identity:
 * - front_page: The URL of the front page. Use this instead of base_path when
 *   linking to the front page. This includes the language domain or prefix.
 *
 * Page content (in order of occurrence in the default page.html.twig):
 * - node: Fully loaded node, if there is an automatically-loaded node
 *   associated with the page and the node ID is the second argument in the
 *   page's path (e.g. node/12345 and node/12345/revisions, but not
 *   comment/reply/12345).
 *
 * Regions:
 * - page.header: Items for the header region.
 * - page.primary_menu: Items for the primary menu region.
 * - page.secondary_menu: Items for the secondary menu region.
 * - page.highlighted: Items for the highlighted content region.
 * - page.help: Dynamic help text, mostly for admin pages.
 * - page.content: The main content of the current page.
 * - page.sidebar_first: Items for the first sidebar.
 * - page.sidebar_second: Items for the second sidebar.
 * - page.footer: Items for the footer region.
 * - page.breadcrumb: Items for the breadcrumb region.
 *
 * @see template_preprocess_page()
 * @see html.html.twig
 */
#}

<div class="l-mobile-header">
  <div class="h-wrapper">
    <div class="header-branding">
      {{ page.branding }}
    </div>
    <button id='btn-open-nav' aria-label='{{ 'Navigation'|t }}' aria-controls="navigation"><span></span></button>
  </div>
</div>

<header role="banner">
  <div class="header-main main-header-container">
    <div class="header-branding">
      {{ page.branding }}
    </div>
    <div class="header-region">
      {{ page.header }}
    </div>
  </div>
  {% if page.navigation %}
  <div class="header-secondary navigation-container">
    {{ page.navigation }}
  </div>
{% endif %}
</header>

<div class="layout-container">

  {% if page.breadcrumbs %}
    {{ page.breadcrumbs }}
  {% endif %}

  {% if page.highlighted %}
    {{ page.highlighted }}
  {% endif %}
  

  <main role="main">
    <div class="page-background"></div>
    <a id="main-content" tabindex="-1"></a>{# link is in html.html.twig #}

    <div class="main-wrapper">
      {% if page.sidebar_first %}
        <div class="layout-sidebar-first">
        {{ page.sidebar_first }}
        </div>{# /.layout-sidebar_first #}
      {% endif %}

      {% if page.before_content %}
        <div class="layout-before-content">
        {{ page.before_content }}
        </div>{# /.layout-before_content #}
      {% endif %}

      <div class="layout-content">
        {{ page.content }}
      </div>{# /.layout-content #}

      {% if page.after_content %}
        <div class="layout-after-content">
        {{ page.after_content }}
        </div>{# /.layout-after_content #}
      {% endif %}

      {% if page.sidebar_second %}
        <div class="layout-sidebar-second">
        {{ page.sidebar_second }}
        </div>{# /.layout-sidebar_second #}
      {% endif %}
    </div>

  </main>

  {% if page.before_footer %}
    <footer role="contentinfo">
      {{ page.before_footer }}
    </footer>
  {% endif %}

  {% if page.footer %}
    <footer role="contentinfo">
      {{ page.footer }}
    </footer>
  {% endif %}

</div>{# /.layout-container #}
